Summary: Czech laguage tools.
Name: cstools
Version: 3.42
Release: 2.%{mysig}
Group: Applications/Text
Packager: Milan Kerslager <kerslage@linux.cz>
Source: http://www.fi.muni.cz/~adelton/perl/Cstools-%{version}.tar.gz
Patch1: Cstools-3.42-fixutf8input.patch
URL: http://www.fi.muni.cz/~adelton/perl/
License: Distributable
Buildroot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildRequires: perl
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')


%description
This package includes modules that are usefull when dealing with
Czech (and Slovak) texts in Perl.

Program cstocs:
   This version of popular charset reencoding utility uses the above
   mentioned module to convert text between various charsets.

Module Cz::Cstocs:
   Implements object for various charset encodings, used for the Czech
   language -- either as objects, or as direct conversion functions.  One
   of the charsets is tex for things like \v{c}.

Module Cz::Sort:
   Sorts according to Czech sorting conventions, regardless on (usually
   broken) locales. Exports functions czcmp and czsort which can be used
   in similar way as as Perl's internals cmp and sort.

%prep

%setup -q -n Cstools-%{version}
#%patch1 -p1 -b fixutf8input

%build

CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib

# make install wants to append to perllocal.pod which is politically
# incorrect behaviour; let's disable it: it's RPM that is supposed to
# keep track of installed software
make install
find $RPM_BUILD_ROOT -type f \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \; -print

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Wed Nov 21 2007 Milan Kerslager <kerslage@linux.cz> 3.42-2.ker.rhel5
- rebuild for RHEL5

* Tue Feb 22 2005 Milan Kerslager <kerslage@linux.cz> 3.42-2.ker.rhel4
- rebuild for RHEL4
- patch for UTF-8 open() Perl bug disabled

* Thu Feb 26 2004 Milan Kerslager <kerslage@linux.cz> 3.42-2.ker.rhel3
- rebuild for RHEL3
- patch for UTF-8 open() Perl bug (for Perl included in RHEL3,
  later versions has not the problem), see the Bugzilla bug
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=112339

* Wed May 14 2003 Milan Kerslager <kerslage@linux.cz> 3.42-1.9
- rebuild for RH 9

* Tue Nov 26 2002 Milan Kerslager <kerslage@linux.cz>
- updated to version 3.42
- rebuild for 8.0

* Mon May 20 2002 Milan Kerslager <kerslage@linux.cz>
- rebuild for 7.3

* Sun Apr 22 2001 Milan Kerslager <kerslage@linux.cz>
- rebuild for 7.1

* Fri Dec  1 2000 Milan Kerslager <kerslage@linux.cz>
- fixes for 7.0

* Thu Jul 15 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- added descriptions (en, cs)
